Uses of Class
org.codelibs.fess.app.web.admin.fileauth.CreateForm
Packages that use CreateForm
Package
Description
-
Uses of CreateForm in org.codelibs.fess.app.web.admin.fileauth
Subclasses of CreateForm in org.codelibs.fess.app.web.admin.fileauthModifier and TypeClassDescriptionclassForm class for editing file authentication configurations in the admin interface.Methods in org.codelibs.fess.app.web.admin.fileauth with parameters of type CreateFormModifier and TypeMethodDescriptionorg.lastaflute.web.response.HtmlResponseAdminFileauthAction.create(CreateForm form) Creates a new file authentication.static org.dbflute.optional.OptionalEntity<org.codelibs.fess.opensearch.config.exentity.FileAuthentication> AdminFileauthAction.getEntity(CreateForm form, String username, long currentTime) Gets a file authentication entity based on the form and current user info.static org.dbflute.optional.OptionalEntity<org.codelibs.fess.opensearch.config.exentity.FileAuthentication> AdminFileauthAction.getFileAuthentication(CreateForm form) Gets a file authentication entity from the form with system info. -
Uses of CreateForm in org.codelibs.fess.app.web.api.admin.fileauth
Subclasses of CreateForm in org.codelibs.fess.app.web.api.admin.fileauthModifier and TypeClassDescriptionclassRequest body for creating file authentication via REST API.classRequest body class for file authentication edit operations in the admin REST API.